package agent

import (
	"net/http"

	"tyc-server/app/main/api/internal/logic/agent"
	"tyc-server/app/main/api/internal/svc"
	"tyc-server/app/main/api/internal/types"
	"tyc-server/common/result"
	"tyc-server/pkg/lzkit/validator"

	"github.com/zeromicro/go-zero/rest/httpx"
)

func GetBankCardInfoHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.GetBankCardInfoReq
		if err := httpx.Parse(r, &req); err != nil {
			result.ParamErrorResult(r, w, err)
			return
		}
		if err := validator.Validate(req); err != nil {
			result.ParamValidateErrorResult(r, w, err)
			return
		}
		l := agent.NewGetBankCardInfoLogic(r.Context(), svcCtx)
		resp, err := l.GetBankCardInfo(&req)
		result.HttpResult(r, w, resp, err)
	}
}
